export declare function isFieldDescriptor(possibleDesc: [any, any, any]): boolean;
export declare function isDescriptor(possibleDesc: any): boolean;
/**
 * A macro that takes a decorator function and allows it to optionally
 * receive parameters
 *
 * ```js
 * let foo = decoratorWithParams((target, desc, key, params) => {
 *   console.log(params);
 * });
 *
 * class {
 *   @foo bar; // undefined
 *   @foo('bar') baz; // ['bar']
 * }
 * ```
 *
 * @param {Function} fn - decorator function
 */
export declare function decoratorWithParams(fn: (...args: any[]) => void): (...params: unknown[]) => void | ((...desc: unknown[]) => void);
//# sourceMappingURL=decorator.d.ts.map